# $Revision: 1.11 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-Cache
Summary:	XML::Filter::Cache - a SAX2 recorder/playback mechanism
Summary(pl.UTF-8):	XML::Filter::Cache - mechanizm nagrywania/odtwarzania SAX2
Name:		perl-XML-Filter-Cache
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2590e2a28c5741aa8cd14503e0ea767e
Patch0:		%{name}-weird_test_failure.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-SAX >= 0.08
BuildRequires:	perl-XML-SAX-Writer >= 0.39
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple filter module for SAX2 events. By default it
caches events into a big binary file on disk (the cache files are
generally much larger than the original XML at the moment, but I'll
work on that), but the storage backend is pluggable. It uses Storable
to do the freeze/thaw thing, and at the moment this is not pluggin
replaceable, simply because there's no better tool for the task at
hand.

%description -l pl.UTF-8
To jest bardzo prosty moduł filtra dla zdarzeń SAX2. Domyślnie
buforuje on zdarzenia w dużym pliku binarnym na dysku (aktualnie pliki
bufora są zwykle o wiele większe niż oryginalny XML, ale autor tym się
zajmie), ale backend przechowywania danych jest wymienny. Do
wykonywania freeze/thaw używana jest klasa Storable i aktualnie nie
jest zamienna, ponieważ po prostu nie ma lepszego narzędzia do tego
celu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/XML/*/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-Cache.spec,v $
Revision 1.11  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.9  2004/11/03 22:30:55  paladine
- formatting

Revision 1.8  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/08/27 22:06:25  radek
- release 2: added -weird_test_failures.patch -- t/03speed.t fails on
             builders; it uses the XML::LibXML::SAX::Parser as parser
	     module, while it should fall back to XML::SAX::PurePerl
	     (as it does on my machine).

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 18:26:08  qboosh
- more verbose file list

Revision 1.4  2004/05/06 16:45:39  qboosh
- pl desc, updated perl deps

Revision 1.3  2004/05/06 02:07:07  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
